Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.learning.db.dummy
Class DummyPeerInteractionsDataBase

    java.lang.Object
      lbg.peer.register.learning.db.dummy.DummyPeerInteractionsDataBase

All Implemented Interfaces:
  PeerInteractionsDataBase

    public class DummyPeerInteractionsDataBase

extends java.lang.Object
implements PeerInteractionsDataBase

Author:
  Cyril Briquet

Field Summary

Fields inherited from interface lbg.peer.register.learning.db.PeerInteractionsDataBase
`TRAINING_SET_SIZE`

Constructor Summary
`DummyPeerInteractionsDataBase()`

Method Summary
`void` | `addConsumptionInteraction(TaskSchedulingContext tsc, boolean is_task_completed, boolean is_predict_correct)`
`void` | `addSupplyingInteraction(TaskSchedulingContext tsc)`
`TaskSchedulingContextFactory` | `createTaskSchedulingContextFactory(PeerProfile profiled_peer_profile)` Does not create a new TaskSchedulingContextFactory.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DummyPeerInteractionsDataBase

    public DummyPeerInteractionsDataBase()
                                  throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createTaskSchedulingContextFactory

    public TaskSchedulingContextFactory createTaskSchedulingContextFactory(PeerProfile profiled_peer_profile)
                                                                    throws GridException

  Does not create a new TaskSchedulingContextFactory.

  Can be called at most once.

  Specified by:
    `createTaskSchedulingContextFactory` in interface `PeerInteractionsDataBase`
  Returns:
    null
  Throws:
    `GridException` - if a parameter is illegal, or method has been called more than once

### addSupplyingInteraction

    public void addSupplyingInteraction(TaskSchedulingContext tsc)
                                 throws GridException

  Specified by:
    `addSupplyingInteraction` in interface `PeerInteractionsDataBase`
  Throws:
    `java.lang.UnsupportedOperationException` - because this method is not supported
    `GridException`

### addConsumptionInteraction

    public void addConsumptionInteraction(TaskSchedulingContext tsc,
                                          boolean is_task_completed,
                                          boolean is_predict_correct)
                                   throws GridException

  Specified by:
    `addConsumptionInteraction` in interface `PeerInteractionsDataBase`
  Throws:
    `java.lang.UnsupportedOperationException` - because this method is not supported
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.